System.ServiceModel 4.0.0.0 System.ServiceModel.Channels.IChannel

The interface includes synchronous and asynchronous variants of a method return an that can be used to construct replies to received requests.

The contract includes synchronous and asynchronous variants of receive, try-to-receive and wait-for-a-message functionality.

An is not necessarily bound to a single sender. Other channels and channel interfaces provide correlation between the sender and the reply channel, but the base contract makes no such restriction.

The pull model is used with an to receive messages. This model consists of calling (or one of its variants) and then waiting for a message to arrive.

Defines the interface that a channel must implement to be on the receiving side of a request-reply communication between messaging endpoints.

- Method
  4.0.0.0
  System.IAsyncResult `` ``

  The method implements the standard pattern for invoking asynchronously. The default timeout is 1 minute. If a receive timeout is set on the binding used to configure the connection, then that value is used. Use if you want to specify an explicit timeout with the call that overrides these other values.

  If the request message received is larger that the maximum message size allowed by the binding being used, a is thrown. The maximum message size is set by the property. The default value is 65536 bytes.

  Begins an asynchronous operation to receive an available request with a default timeout.

  The that references the asynchronous reception of the request.

  The delegate that receives the notification of the asynchronous receive that a request operation completes. An object, specified by the application, that contains state information associated with the asynchronous receive of a request operation.
- Method
  4.0.0.0
  System.IAsyncResult `` `` ``

  The method implements the standard pattern for invoking asynchronously. The timeout set on this method overrides a receive timeout set on the binding that is used to configure the connection.

  If the request message received is larger that the maximum message size allowed by the binding being used, a is thrown. The maximum message size is set by the property. The default value is 65536 bytes.

  Begins an asynchronous operation to receive an available request with a specified timeout.

  The that references the asynchronous reception of the request.

  The that specifies the interval of time to wait for the reception of an available request. The delegate that receives the notification of the asynchronous receive that a request operation completes. An object, specified by the application, that contains state information associated with the asynchronous receive of a request operation.
- Method
  4.0.0.0
  System.IAsyncResult `` `` ``

  Use the asynchronous method when you need the application processing to continue without waiting. Use one of the synchronous methods when it is acceptable for the current thread to be blocked while it replies to the request message or until the timeout interval is exceeded.

  This method receives notification, through a callback, of the identity of the event handler for the operation. The operation is not complete until either a message becomes available in the channel or the time out occurs.

  Begins an asynchronous operation to receive a request message that has a specified time out and state object associated with it.

  The that references the asynchronous receive request operation.

  The that specifies how long the receive request operation has to complete before timing out and returning false. The delegate that receives the notification of the asynchronous receive that a request operation completes. An object, specified by the application, that contains state information associated with the asynchronous receive of a request operation.
- Method
  4.0.0.0
  System.IAsyncResult `` `` ``

  Use the synchronous method when it is acceptable for the current thread to be blocked while it waits for a request message to arrive in the queue. The thread is blocked up to the specified .

  This method receives notification, through a callback, of the identity of the event handler for the operation. The operation is not complete until either a request message becomes available in the channel or the time out occurs.

  Begins an asynchronous request operation that has a specified time out and state object associated with it.

  The that references the asynchronous operation to wait for a request message to arrive.

  The that specifies the interval of time to wait for the reception of an available request. The delegate that receives the notification of the asynchronous receive that a request operation completes. An object, specified by the application, that contains state information associated with the asynchronous receive of a request operation.
- Method
  4.0.0.0
  System.ServiceModel.Channels.RequestContext ``

  If the request message received is larger that the maximum message size allowed by the binding being used, a is thrown. The maximum message size is set by the property. The default value is 65536 bytes.

  Completes an asynchronous operation to receive an available request.

  The used to construct a reply to the request.

  The returned by a call to the method.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Completes the specified asynchronous wait-for-a-request message operation.

  true if a request is received before the specified interval of time elapses; otherwise false.

  The that identifies the operation to finish, and from which to retrieve an end result.
- Property
  4.0.0.0
  System.ServiceModel.EndpointAddress To be added. To be added.

  Gets the address on which this reply channel receives messages.

- Method
  4.0.0.0
  System.ServiceModel.Channels.RequestContext

  encapsulates the request message and a mechanism for replying to that message.

  can be called multiple times or concurrently. Only one call completes per request received.

  If the request message received is larger that the maximum message size allowed by the binding being used, a is thrown. The maximum message size is set by the property. The default value is 65536 bytes.

  Returns the context of the request received, if one is available. If a context is not available, waits until there is one available.

  The used to construct replies.

- Method
  4.0.0.0
  System.ServiceModel.Channels.RequestContext ``

  encapsulates the request message and a mechanism for replying to that message.

  can be called multiple times or concurrently. Only one call completes per request received.

  If the request message received is larger that the maximum message size allowed by the binding being used, a is thrown. The maximum message size is set by the property. The default value is 65536 bytes.

  Returns the context of the request received, if one is available. If a context is not available, waits until there is one available.

  The used to construct replies.

  The that specifies how long the receive of a request operation has to complete before timing out and returning false.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean ``

  Calling does not result in a request message being received or processed in any way.

  The method exists primarily for transacted scenarios where the user wants to receive the message using a transaction. When using just normally for this, the user must create the transaction, and then call and hope the message arrives before the transaction times out, which may not be possible.

  Instead, the user can call and specify the time out (even infinite), then when a message arrives they can open the transaction, call and be confident that they can get the message back before the transaction expires.

  Use when it is acceptable for the current thread to be blocked while it waits for a message to arrive in the queue. The thread is blocked up to the specified . If you need the application processing to continue without waiting, use the asynchronous method.

  Returns a value that indicates whether a request message is received before a specified interval of time elapses.

  true if a request is received before the specified interval of time elapses; otherwise false.

  The that specifies how long a request operation has to complete before timing out and returning false.